package cn.superdesk.uniorder.dubbo.facade.sys.notify;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotifyTemplate;
import cn.superdesk.uniorder.dto.param.system.notify.SysNotifyTemplateParam;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-03-01 17:37:17
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-03-01 17:37:17
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface DubboSysNotifyTemplateService {

	/****************************************** extends BaseService 部分 start ******************************************/

	@Deprecated
	void addObj(SysNotifyTemplateParam param);

	@Deprecated
	void updateObj(SysNotifyTemplateParam param);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysNotifyTemplate findById(Long id);

	@Deprecated
	PageInfo<SysNotifyTemplate> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysNotifyTemplate> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysNotifyTemplate(SysNotifyTemplateParam param);

	void updateSysNotifyTemplate(SysNotifyTemplateParam param);

	void deleteSysNotifyTemplate(Long id);

	SysNotifyTemplate findSysNotifyTemplateById(Long id);

	R<List<SysNotifyTemplate>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize);
}
